## telepathy-mission-control 4.47-1

=== debian/changelog ===
telepathy-mission-control (4.47-1) unstable; urgency=low

  * When an account changes, update internal data before emitting the
    account-changed signal. Fixes: NB#72172.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon,  8 Oct 2007 09:59:00 +0300

telepathy-mission-control (4.46-1) unstable; urgency=low

  * McdChannel: Handle possible error from DBus (fixes a crash).

  * Remove unused signals in DBus interface.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri,  5 Oct 2007 10:26:01 +0300

telepathy-mission-control (4.45-1) unstable; urgency=low

  * Fix a crash where strcmp could be called with NULL parameters.
    Fixes: NB#71803.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  4 Oct 2007 09:02:35 +0300

telepathy-mission-control (4.44-1) unstable; urgency=low

  * Add mcd_master_add_connection_parameter() API for passing connection
    parameters to all the connection managers that support them, for all
    accounts.

  * Add the mcd_connection_connect() API (renaming the static one that was
    already using that name) and call it explicitly after the connection
    is created.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 28 Sep 2007 14:14:36 +0300

telepathy-mission-control (4.43-1) unstable; urgency=low

  * Store a copy of the presence message string, since it could be freed
    anytime. Possibly fixes a crash.

  * Fix a memory leak.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 26 Sep 2007 10:04:42 +0300

telepathy-mission-control (4.42-1) unstable; urgency=low

  * Fix mapping of Telepathy channel full/inviteonly/banned errors.
    Fixes: NB#70747.

  * Immediately update display/normalized name, without waiting for GConf
    notification. Fixes: #1797819.

  * Fix possible crash happening when alias is NULL.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 24 Sep 2007 17:53:33 +0300

telepathy-mission-control (4.41-1) unstable; urgency=low

  * Add signals with an additional the presence message parameter, and
    deprecate old ones.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 20 Sep 2007 15:58:22 +0300

telepathy-mission-control (4.40-1) unstable; urgency=low

  * Set the account enabled flag to FALSE, before emitting the
    account-disabled signal. Fixes: NB#70212.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 20 Sep 2007 10:24:38 +0300

telepathy-mission-control (4.39-1) unstable; urgency=low

  * Fix some build issues. 

  * Accounts: cache the profile name, normalized and display name, instead of
    always retrieving them from GConf.

  * Accounts: move account enabledness related code to McAccount, avoiding
    some GConf lookups.

  * Fix possible crash when trying to display a NULL GError.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 17 Sep 2007 10:57:06 +0300

telepathy-mission-control (4.38-1) unstable; urgency=low

  * Add some more checks to the
    mission_control_request_channel_with_string_handle_and_vcard_field
    function, and fix a reference leak. Fixes: NB#67964.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  6 Sep 2007 08:36:26 +0300

telepathy-mission-control (4.37-1) unstable; urgency=low

  * Listen to the AvatarUpdated signal, instead of relying on eds-sync
    doing that. With a compile-time switch, old behaviour is still
    possible. Fixes: #1763009.

  * Add mc_account_set_avatar_from_data() API. Partially fixes #1763009.

  * Increase timeout for receiving capabilities. Fixes: NB#57392.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 31 Aug 2007 12:25:08 +0300

telepathy-mission-control (4.36-1) unstable; urgency=low

  * Add mc_account_set_secondary_vcard_fields() API to set all secondary
    VCard fields at once.

  * When an account parameter changes, perform reconnection only if
    requested presence is online.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 28 Aug 2007 12:23:44 +0300

telepathy-mission-control (4.35-1.1) unstable; urgency=low

  * libmissioncontrol0 split up to the packages libmissioncontrol-client0
    and libmissioncontrol-server1

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Thu, 23 Aug 2007 13:51:19 +0300

telepathy-mission-control (4.35-1) unstable; urgency=low

  * Remove compilation flags, they are to be specified in configure.ac or
    in debian/rules. Fixes: #1772178.

  * Strip spaces from presence names. Fixes: #1772539.

  * Allow requesting a channel with handle 0 if channel handle type is
    also 0. Turn a g_assert into a g_return_val_if_fail.
    Fixes: #1772597.

  * Merge libmissioncontrol and libmissioncontrol-config into a single
    library, called libmissioncontrol-client.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 21 Aug 2007 12:22:23 +0300

telepathy-mission-control (4.34-1untested2) unstable; urgency=low

  * Export missing symbols, mission_control_*.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 20 Aug 2007 16:06:38 +0300

telepathy-mission-control (4.34-1untested) unstable; urgency=low

  * Merge libmissioncontrol and libmissioncontrol-config into a single
    library, called libmissioncontrol-client.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 20 Aug 2007 14:46:30 +0300

telepathy-mission-control (4.34-1) unstable; urgency=low

  * Allow per protocol channel handlers.

  * Use soname version properly.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 14 Aug 2007 15:25:06 +0300

telepathy-mission-control (4.33-1) unstable; urgency=low

  * Add mc_profiles_list_by_protocol() API.

  * Fix distribution of some development files.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  9 Aug 2007 09:56:52 +0300

telepathy-mission-control (4.32-1) unstable; urgency=low

  * Update required version of libtelepathy.

  * Bump libmissioncontrol-server soname, to resolve ABI breakage.

  * Add documentation for mc_account_{set,get}_alias.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon,  6 Aug 2007 16:02:51 +0300


