=== debian/control ===
Source: telepathy-mission-control
Section: comm
Priority: optional
Maintainer: Alberto Mardegan <alberto.mardegan@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libtelepathy-dev (>= 0.0.54), libgconf2-dev (>= 2.0.0), cdbs, libosso-dev, gtk-doc-tools
Standards-Version: 3.6.2

Package: libmissioncontrol-client0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mission-control, libmissioncontrol, libmissioncontrol0
Description: Mission Control
 The Mission Control

Package: libmissioncontrol-client0-dbg
Architecture: any
Section: libdevel
Depends: libmissioncontrol-client0 (= ${Source-Version})
Description: Mission Control. API for clients. Debug Symbols
 The Mission Control. API for clients.
 .
 This package contains debug symbols for mission-control

Package: libmissioncontrol-server1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mission-control, libmissioncontrol, libmissioncontrol0
Description: Mission Control. API for servers.
 The Mission Control. API for servers

Package: libmissioncontrol-server1-dbg
Architecture: any
Section: libdevel
Depends: libmissioncontrol-server1 (= ${Source-Version})
Description: Mission Control. Debug Symbols
 The Mission Control
 .
 This package contains debug symbols for mission-control

Package: libmissioncontrol-dev
Section: libdevel
Architecture: any
Depends: libmissioncontrol-client0 (= ${Source-Version}), libmissioncontrol-server1 (= ${Source-Version}), libtelepathy-dev, libdbus-1-dev
Description: Mission Control client library development files
 Mission Control client library development files

Package: libmissioncontrol-doc
Section: doc
Architecture: any
Description: Mission Control documentation 
 Mission Control documentation

Package: libmissioncontrol-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mission-control
Description: Mission Control utilities
 The Mission Control utilities
