## telepathy-mission-control 4.50-1

=== debian/changelog ===
telepathy-mission-control (4.50-1) unstable; urgency=low

  * Compare also the channel handle type, before asserting that two
    channels are the same. Fixes: NB#75583.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  8 Nov 2007 15:03:20 +0200

telepathy-mission-control (4.49-2) unstable; urgency=low

  * Fixes: NB#73568.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 29 Oct 2007 17:31:40 +0200

telepathy-mission-control (4.49-1) unstable; urgency=low

  * When removing the last account, unset the requested presence.

  * When an account gets enabled, check for the requested presence, not
    for the actual.
    Fixes: NB#74159.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 25 Oct 2007 13:45:57 +0300

telepathy-mission-control (4.48-1) unstable; urgency=low

  * Create the connection manager proxy just before actually using it;
    fixes a potential crash (actually found in corematic, at least twice).

  * Add mc_profile_get_avatar_mime_type() for getting the preferred avatar
    MIME type.

  * Fix typo: allow requesting channels with handle_type = 0.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 17 Oct 2007 15:10:46 +0300
