## telepathy-mission-control 4.61-1

=== debian/changelog ===
telepathy-mission-control (4.61-1) unstable; urgency=low

  * Make the coverity tool a bit happier. Fixes: NB#80882.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 29 Feb 2008 15:18:03 +0200

telepathy-mission-control (4.60-2) unstable; urgency=low

  * Fixes: NB#80549.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 12 Feb 2008 11:21:50 +0200

telepathy-mission-control (4.60-1) unstable; urgency=low

  * Fix the comparison of pending channels (the condition on the channel
    type was inverted).
    Fixes: http://bugzilla.gnome.org/show_bug.cgi?id=511063

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 11 Feb 2008 14:42:26 +0200

telepathy-mission-control (4.59-1) unstable; urgency=low

  * Introduce a HandlerVersion parameter in the .chandler files, that
    makes MC call a HandleChannel2 method on them; this provides a boolean
    indicating the channel direction, and the same request_id as returned
    by mission_control_request_channel().

  * Don't update the avatar while we are setting it. Fixes: NB#78634.

  * libmissioncontrol:
    Invoke the callback from an idle function, so that the clients can get
    their request ID before the callback gets executed.

  * Watch for every channel handler's lifetime, and not only for stream
    channels. Fixes: NB#79327.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri,  8 Feb 2008 11:38:41 +0200

telepathy-mission-control (4.58-1) unstable; urgency=low

  * Introduce videp-p2p capability.

  * Add a DefaultAccountName setting.

  * Add a Priority setting. (Fixes: NB#80078)

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 31 Jan 2008 11:20:31 +0200

telepathy-mission-control (4.57-1) unstable; urgency=low

  * Patch from Xavier Claessens <zdra@users.sourceforge.net>:
    Use new API for requesting avatars.

  * Avoid requesting the avatars interface more than once.
    Fixes: NB#78634.

  * If a GConf key is deleted, report its value as NULL.
    Fixes: NB#79577.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 24 Jan 2008 16:18:11 +0200

telepathy-mission-control (4.56-1) unstable; urgency=low

  * #include <telepathy-glib/util.h> to suppress a warning.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 17 Jan 2008 11:59:01 +0200

telepathy-mission-control (4.55-1) unstable; urgency=low

  * Patch from Simon McVittie <smcvittie@users.sourceforge.net>:
    Since recursive variable expansion is troublesome for configure.ac,
    have the Makefile generate the DBus service file. Fixes: #1871127.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 15 Jan 2008 11:15:38 +0200

telepathy-mission-control (4.54-1) unstable; urgency=low

  * Updated to find mission-control in @libexecdir@. Fixes: #1871127.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 14 Jan 2008 17:14:16 +0200

telepathy-mission-control (4.53-1) unstable; urgency=low

  * Patch from Xavier Claessens <zdra@users.sourceforge.net>:
    Emit presence signals when the status message is changed.
    Fixes: #1864568.

  * Patch from Xavier Claessens <zdra@users.sourceforge.net>:
    Register the PresenceChanged and ActualPresenceChanged signals.
    Fixes: 31862760.

  * Move mission-control binary to $libexecdir. Fixes: #1827691.

  * Patch from Alban Crequy <albancrequy@users.sourceforge.net>:
    Duplicate the channel_type string, because the original one might be
    freed while we are still using it. Fixes: #1849202.

  * If the server doesn't store the avatar, we must set it everytime we
    connect. Fixes: #1825366.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 14 Jan 2008 11:22:43 +0200

telepathy-mission-control (4.52-1) unstable; urgency=low

  * Use a timestamp as avatar ID, instead of a random number (which is not
    necessarily unique). Fixes: NB#78634.

  * Don't leak avatar data on mc_account_set_avatar().

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 18 Dec 2007 15:13:53 +0200

telepathy-mission-control (4.51-1) unstable; urgency=low

  * Patch from Xavier Claessens <zdra@users.sourceforge.net>:
    Do not use deprecated libtp symbols. Fixes: #1831105.

  * Use a list of structures to keep track of the pending channels: in
    this way we take into account also the handle type and the channel
    type.
    Fixes: NB#76877.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 11 Dec 2007 17:27:34 +0200
