=== debian/control ===
Source: telepathy-mission-control
Section: comm
Priority: optional
Maintainer: Alberto Mardegan <alberto.mardegan@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libtelepathy-dev (>= 0.3.0), libgconf2-dev (>= 2.0.0), cdbs, libosso-dev, gtk-doc-tools
Standards-Version: 3.6.2

Package: libmissioncontrol-client0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mission-control, libmissioncontrol, libmissioncontrol0
Description: Mission Control
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 API for clients.

Package: libmissioncontrol-client0-dbg
Architecture: any
Section: libdevel
Depends: libmissioncontrol-client0 (= ${Source-Version})
Description: Mission Control. API for clients. Debug Symbols
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 This package contains debug symbols for libmissioncontrol-client0.

Package: libmissioncontrol-server1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mission-control, libmissioncontrol, libmissioncontrol0
Description: Mission Control. API for servers.
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 API for servers

Package: libmissioncontrol-server1-dbg
Architecture: any
Section: libdevel
Depends: libmissioncontrol-server1 (= ${Source-Version})
Description: Mission Control. API for servers. Debug Symbols
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 This package contains debug symbols for libmissioncontrol-server1

Package: libmissioncontrol-dev
Section: libdevel
Architecture: any
Depends: libmissioncontrol-client0 (= ${Source-Version}), libmissioncontrol-server1 (= ${Source-Version}), libtelepathy-dev, libdbus-1-dev
Description: Mission Control client library development files
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 Mission Control client library development files

Package: libmissioncontrol-doc
Section: doc
Architecture: any
Description: Mission Control documentation 
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 Mission Control documentation

Package: libmissioncontrol-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mission-control
Description: Mission Control utilities
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 The Mission Control utilities
