=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 DEB_INSTALL_DOCS_libmissioncontrol-doc := doc/reference/libmissioncontrol/html doc/reference/libmissioncontrol-server/html
 
 CFLAGS=-Wall -Werror -g -fPIC -DNO_NEW_PRESENCE_SIGNALS
+ifneq (,$(findstring coverage,$(DEB_BUILD_OPTIONS)))
+       DEB_CONFIGURE_EXTRA_FLAGS += --enable-coverage
+endif
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
@@ -41,6 +44,12 @@
 endif
 DEB_MAKE_ENVVARS := MAKEFLAGS=$(NJOBS)
 
+ifneq (,$(findstring coverage,$(DEB_BUILD_OPTIONS)))
+configure/libmissioncontrol-client0::
+	sed -e "s/CC -shared/CC -fprofile-arcs -ftest-coverage -shared/g" libtool > libtool.patched
+	mv libtool.patched libtool
+endif
+
 debian/stamp-autotools-files:
 	gtkdocize
 	autoreconf -v --install
