## telepathy-mission-control 5.2.1-0maemo1+0m5

=== debian/changelog ===
telepathy-mission-control (5.2.1-0maemo1+0m5) fremantle; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Fri, 28 Aug 2009 12:39:43 +0300

telepathy-mission-control (5.2.1-0maemo1) fremantle; urgency=low

  * If we call RequestConnection, then decide that actually that connection is
    no good, disconnect the Connection when RequestConnection returns, to avoid
    leaving it taking up memory and disrupting later attempts to connect to
    the same account. Fixes: NB#125610 - Accounts that were not CONNECTED yet
    not reconnected after connection changes
  * Also fixes NB#133684 - fd.o#23509: Claim() doesn't wait for m-ui, so n-ui
    can acknowledge messages too soon

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Wed, 26 Aug 2009 13:20:40 +0100

telepathy-mission-control (5.2.0-0maemo4) fremantle; urgency=low

  * Allow McdAccount subclasses to override the channel request check.

  [ Naveen Verma ]
  * Detect missed calls correctly. Fixes NB#133783 - Conference call is
    disconnected in Rover, if rejected by a third participant

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Wed, 19 Aug 2009 17:33:53 +0100

telepathy-mission-control (5.2.0-0maemo3) fremantle; urgency=low

  * Fixes: NB#125610 - Accounts that were CONNECTING not reconnected after
    connection changes

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Tue, 18 Aug 2009 15:42:05 +0100

telepathy-mission-control (5.2.0-0maemo2) fremantle; urgency=low

  * Fixes: NB#132236 - Missing notifications on Compat interface.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 12 Aug 2009 14:59:53 +0300

telepathy-mission-control (5.2.0-0maemo1) fremantle; urgency=low

  * New upstream release, on a new stable branch.
  * Fixes: NB#129712 - Code review: static array terminator overwritten
    (possible crash, easy to fix)
  * The above bugfix is meant to stop various unreproducible crashes like
    NB#121501 and NB#119609, but since they're unreproducible, all we can do
    is wait and see whether they stop being reported.

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Thu, 30 Jul 2009 12:34:12 +0100

telepathy-mission-control (5.1.4-0maemo1) fremantle; urgency=low

  * New upstream release
  * Fixes: NB#123289 - SMS is sent twice for stored contact (fd.o #22670)

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Thu, 09 Jul 2009 12:47:22 +0100

telepathy-mission-control (5.1.3-0maemo1) fremantle; urgency=low

  * Fixes: NB#125836 - No API to close channels as busy.

  * Fixes: NB#120453 - Accounts are removed after switching off the device.

  * Fixes: NB#117773 - unreproducible crash in mcd_connection_close during
    Reconnect().

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed,  1 Jul 2009 15:51:12 +0300

telepathy-mission-control (5.1.2-0maemo1) fremantle; urgency=low

  * New upstream release
  * Remove patch from previous version (merged upstream)
  * Bump build dependency to telepathy-glib >= 0.7.32
  * Fixes: NB#125093 - newly created accounts with ConnectAutomatically set
    are not connecting before mission control restart
  * fd.o #21834: allow RequestedPresence to be set on disabled accounts
  * Make various other fixes to putting accounts online
  * Stop generating duplicate bindings in the daemon for interfaces available
    in telepathy-glib 0.7.32
  * Fix a subtle use-after-free that crashes MC if >= 4 distinct properties
    change within 10ms
  * Change the default RequestedPresence from UNSET to OFFLINE
  * Improve regression test coverage considerably
  * Simplify API for low memory indication
  * Delete some unnecessary code from McdMaster and simplify some redundant
    code
  * Forbid setting AutomaticPresence to a non-online status
  * Forbid setting RequestedPresence to a status that can't be set on yourself
  * Fix a memory leak and some races in the regression tests

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Fri, 26 Jun 2009 19:42:23 +0100

telepathy-mission-control (5.1.1-0maemo3) fremantle; urgency=low

  * Actually merge the 5.1.1 upstream release, incorporating the following
    corrections:
  * Fixes: NB#101101 - fd.o #22201: mission-control rewrites accounts.cfg
    during bootup
  * Fixes: NB#112099 - fd.o #21299: Do not automatically reconnect if
    disconnected with reason NameInUse
  * fd.o #22169: allow PreferredHandler to be empty when requesting a channel
  * Update code generation from telepathy-glib to fix some possible assertion
    failures
  * Ensure that AccountValidityChanged will be emitted if an account is added
    in an already-valid state
  * fd.o #21377: add support for more D-Bus types for CM parameters
  * Cherry-pick a patch from upstream git to fix the build with
    --enable-plugins (please remove debian/patches/0001* after the next
    upstream release)
  * Change documentation packages to Architecture: all

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Mon, 22 Jun 2009 15:32:55 +0100

telepathy-mission-control (5.1.1-0maemo2) fremantle; urgency=low

  * This contains the fix for bug NB#110562, the previous release didn't. 

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 16 Jun 2009 16:52:40 +0300

telepathy-mission-control (5.1.1-0maemo1) fremantle; urgency=low

  * Fixes: NB#110562 - Availability status is not automatically set to the one
    that the user has lately set.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 16 Jun 2009 16:46:55 +0300

telepathy-mission-control (5.1.0-0maemo1) fremantle; urgency=low

  * New upstream release.

  * When RequestedPresence is set, go through the logic for setting presence
    even if the new RequestedPresence is the same as the old one, to have the
    side-effect of retrying network connectivity.

  * Move the non-standard ChannelRequests interface from the freedesktop.org
    namespace to the Nokia namespace. Access to this interface is encapsulated

