=== debian/control ===
Source: telepathy-mission-control
Section: comm
Priority: optional
Maintainer: Alberto Mardegan <alberto.mardegan@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libtelepathy-glib-dev (>= 0.7.32), libgconf2-dev (>= 2.0.0), cdbs, libosso-dev, gtk-doc-tools, automake1.9
Standards-Version: 3.6.2

Package: libmissioncontrol-server6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mission-control, libmissioncontrol, libmissioncontrol0, libmissioncontrol-server1
Description: Mission Control. API for servers.
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 API for servers

Package: libmissioncontrol-server6-dbg
Architecture: any
Section: libdevel
Depends: libmissioncontrol-server6 (= ${Source-Version})
Description: Mission Control. API for servers. Debug Symbols
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 This package contains debug symbols for libmissioncontrol-server6

Package: libmissioncontrol-dev
Section: libdevel
Architecture: any
Depends: libmissioncontrol-server6 (= ${Source-Version}), libdbus-1-dev, libmcclient-dev
Description: Mission Control server library development files
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 Mission Control server library development files

Package: libmissioncontrol-doc
Section: doc
Architecture: all
Description: Mission Control documentation 
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 Mission Control documentation

Package: libmissioncontrol-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mission-control
Description: Mission Control utilities
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 The Mission Control utilities

Package: libmcclient6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libmcclient5
Description: Mission Control
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 API for clients.

Package: libmcclient6-dbg
Architecture: any
Section: libdevel
Depends: libmcclient6 (= ${Source-Version})
Description: Mission Control. API for clients. Debug Symbols
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 This package contains debug symbols for libmcclient6.

Package: libmcclient-dev
Section: libdevel
Architecture: any
Depends: libmcclient6 (= ${Source-Version}), libmissioncontrol-server6 (= ${Source-Version}), libtelepathy-glib-dev, libdbus-1-dev
Description: Mission Control client library development files
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 Mission Control client library development files

Package: libmcclient-doc
Section: doc
Architecture: all
Description: Mission Control client library documentation 
 Mission Control, or MC, is a telepathy component providing a way 
 for "end-user" applications to abstract some of the details of 
 connection managers, to provide a simple way to manipulate a bunch 
 of connection managers at once, and to remove the need to have in 
 each program the account definitions and credentials.
 .
 Mission Control client library documentation
