## telepathy-mission-control 5.2.6-0maemo2+0m5

=== debian/changelog ===
telepathy-mission-control (5.2.6-0maemo2+0m5) devel; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Mon, 02 Nov 2009 10:00:33 +0200

telepathy-mission-control (5.2.6-0maemo2) devel; urgency=low

  * libmcclient: invoke callbacks in the correct order (first registered,
    first called).
    Fixes: NB#143137 - Unable to edit the accounts from status area

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 23 Oct 2009 14:29:04 +0300

telepathy-mission-control (5.2.6-0maemo1) devel; urgency=low

  * New upstream stable release
  * Consider calls terminated with ERROR to be possibly-missed, even if we are
    the actor. In conjunction with telepathy-gabble >= 0.8.5-0maemo1, this
    Fixes: NB#134426 - Missed call is registered as Received call when
    caller's battery is removed
  * Improve sanity checks in mc-wait-for-name, and don't wait more than 5
    minutes; also comment a Coverity false positive in libmcclient.
    Fixes: NB#136701 <coverity> defects from telepathy-mission-control
  * Improve regression test coverage, and fix a race condition in make-valid.py

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Wed, 07 Oct 2009 13:26:25 +0100

telepathy-mission-control (5.2.5-0maemo1) devel; urgency=low

  * Fixes: NB#139397 - reconnects too fast and too repeatedly if connection to
    server succeeds, but then falls over
  * fd.o#23935: call AddRequest more correctly (backported from 5.3.0)
  * Make signed values in .client files work correctly instead of
    g_critical'ing (backported from 5.3.0)
  * Fix some minor memory leaks

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Fri, 18 Sep 2009 16:48:47 +0100

telepathy-mission-control (5.2.4-0maemo1) devel; urgency=low

  * New upstream stable-branch release (mostly just build-system and
    regression-test changes)
  * Fix a reference leak when told to disconnect before RequestConnection has
    returned (on the code path that fixed NB#125610)
  * Use a modern Python (2.5) to compile, following changes made to
    telepathy-glib, telepathy-gabble etc.
  * Make dependencies in debian/control more explicit
  * Don't build the package with -Werror, even if the version is technically
    at a point between two upstream releases (as it is currently)

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Tue, 15 Sep 2009 15:32:35 +0100

telepathy-mission-control (5.2.2-0maemo3) devel; urgency=low

  * Code by Simon McVittie <simon.mcvittie@collabora.co.uk>:
    Get self alias on new connections. This should fix NB#127027.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 15 Sep 2009 16:13:38 +0300

telepathy-mission-control (5.2.2-0maemo2) devel; urgency=low

  * (Revision 0maemo1 was incorrectly tagged and has been removed.)
  * New upstream version, from the stable branch.
  * Remove patches from 5.2.1-0maemo2 from debian/patches (applied upstream)
  * Create accounts.cfg etc. with correct (user-only) permissions, not that
    that matters much on Maemo.
  * Try to set the initial presence before calling Connect.
    This is necessary to fix NB#95112 "After changing presence from Offline
    to Busy, presence is in Online mode for a few seconds", but is not
    sufficient to close that bug by itself (Gabble changes are also needed).

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Mon, 07 Sep 2009 18:45:53 +0100

telepathy-mission-control (5.2.1-0maemo2) devel; urgency=low

  * Add API for marking accounts as always online. Required to fix NB#117369
    "MC could be more robust against "mc-tool attack" on ring/tel/ring",
    but osso-mission-control changes will also be needed to fix that bug.
  * Log our version number on startup, to help interpret syslogs.
  * Add more debug logging, to aid in verifying whether NB#133684 has actually
    been fixed.

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Thu, 03 Sep 2009 13:59:34 +0100
