=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
@@ -10,6 +9,10 @@
 DEB_CONFIGURE_SYSCONFDIR=/etc
 DEB_DH_STRIP_ARGS=--dbg-package=libmissioncontrol-server6 --dbg-package=libmcclient6
 #DEB_CONFIGURE_EXTRA_FLAGS := --disable-cast-checks --enable-gtk-doc
+DEB_MAKE_ENVVARS += \
+	PYTHON=/usr/bin/python2.5 \
+	TEST_PYTHON=/usr/bin/python2.5
+DEB_CONFIGURE_SCRIPT_ENV += $(DEB_MAKE_ENVVARS)
 DEB_CONFIGURE_EXTRA_FLAGS := --disable-server \
 			     --disable-legacy \
 			     --disable-gtk-doc \
@@ -18,6 +21,7 @@
 			     --with-accounts-cache-dir=/tmp \
 			     --with-profiles-dir=/usr/share/osso-rtcom \
 			     --with-accounts-dir="~/.rtcom-accounts" \
+			     --disable-Werror \
 			     --enable-plugins
 
 #DEB_INSTALL_DOCS_libmissioncontrol-doc := doc/reference/libmissioncontrol-server/html
