## telepathy-mission-control 5.2.7-0maemo6+0m5

=== debian/changelog ===
telepathy-mission-control (5.2.7-0maemo6+0m5) devel; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Wed, 17 Feb 2010 09:41:57 +0200

telepathy-mission-control (5.2.7-0maemo6) devel; urgency=low

  * Explicitly added --enable-gtk-doc to the configure options
    to force docs generation.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Tue, 16 Feb 2010 14:07:54 +0100

telepathy-mission-control (5.2.7-0maemo5) devel; urgency=lw

  * Work around the DBus bug in docs generation and re-enable it.
    Fixes: NB#154114.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Tue, 16 Feb 2010 12:13:02 +0100

telepathy-mission-control (5.2.7-0maemo4) devel; urgency=low

  * Add API reference doc files to libmcclient-doc package.
    Fixes: NB#154114.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Thu, 11 Feb 2010 15:40:30 +0100

telepathy-mission-control (5.2.7-0maemo2) devel; urgency=low

  * Point release for fremantle
  * Suppress voip based on account profile
  * Merge the manager reload branch
    Fixes: NB#146372 - Third party MSN plugin is not installing properly after
    software update/flashing and restoring the backup
  * Backport actually use the preferred handler (from master branch)
    Fixes: NB#145888 - Missing Telepathy SDK documentation for call and SMS
    use cases

 -- Vivek Dasmohapatra <vivek@collabora.co.uk>  Wed, 03 Feb 2010 17:56:33 +0000

telepathy-mission-control (5.2.7-0maemo1) devel; urgency=low

  * libmcclient: Add chat-upgrade to McProfile

 -- Tan Miaoqing <miaoqing.tan@nokia.com>  Mon, 18 Jan 2010 13:38:15 +0200
