## telepathy-mission-control 5.2.7-0maemo8%2b0m5

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 DEB_CONFIGURE_SCRIPT_ENV += $(DEB_MAKE_ENVVARS)
 DEB_CONFIGURE_EXTRA_FLAGS := --disable-server \
 			     --disable-legacy \
-			     --disable-gtk-doc \
+			     --enable-gtk-doc \
 			     --enable-mcclient-so6 \
 			     --enable-mcserver-so6 \
 			     --with-accounts-cache-dir=/tmp \
