## telepathy-mission-control 5.2.7-0maemo8+0m5

=== debian/changelog ===
telepathy-mission-control (5.2.7-0maemo8+0m5) fremantle; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 5.2.7-0maemo8+0m5

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Wed, 04 Aug 2010 09:55:20 +0300

telepathy-mission-control (5.2.7-0maemo8) fremantle; urgency=low

  * Treat calls ended locally for reason NoAnswer as missed.
    Fixes: NB#177777

 -- Will Thompson <will.thompson@collabora.co.uk>  Fri, 02 Jul 2010 11:16:37 +0100

telepathy-mission-control (5.2.7-0maemo7) fremantle; urgency=low

  * Increase initial reconnection time from 1 to 3 seconds, and the backoff
    multiplier from 2 to 3, reducing how frantically MC tries to reconnect.
    Fixes: NB#171556 - Increase initial intervals between reconnection
    attempts.

 -- Will Thompson <will.thompson@collabora.co.uk>  Wed, 16 Jun 2010 16:34:33 +0100
