=== debian/control ===
--- 
+++ 
@@ -2,7 +2,17 @@
 Section: comm
 Priority: optional
 Maintainer: Alberto Mardegan <alberto.mardegan@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libtelepathy-glib-dev (>= 0.7.32), libgconf2-dev (>= 2.0.0), cdbs, libosso-dev, gtk-doc-tools, automake1.9
+Build-Depends: autoconf,
+               automake1.9,
+               cdbs,
+               debhelper (>= 4.0.0),
+               gtk-doc-tools,
+               libgconf2-dev (>= 2.0.0),
+               libosso-dev,
+               libtelepathy-glib-dev (>= 0.7.32),
+               libtool,
+               pkg-config,
+               python2.5
 Standards-Version: 3.6.2
 
 Package: libmissioncontrol-server6
